API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms-templates/{id}/preview

POST/v1/dms-templates/{id}/preview

Preview a DMS template using sample data and return a PDF

Datenmodell

Diese Operation arbeitet auf der Entität DMS Template (dms_template). Alle 16 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
sampleDataobject

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms-templates/{id}/preview \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "sampleData": null
}'
const result = await cm.dms-templates.post({
  "sampleData": null
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche